Project

General

Profile

Tâche #15055

Scénario #14934: Migration Amonecole 2.3 vers 2.4 : Problème Upgrade-Auto

Problème d'UpgradeAuto entre 2.3.15 et 2.4.1

Added by Philippe Caseiro almost 7 years ago. Updated almost 7 years ago.

Status:
Fermé
Priority:
Normal
Assigned To:
Start date:
02/10/2016
Due date:
% Done:

100%

Estimated time:
3.00 h
Spent time:
Remaining (hours):
0.0

Description

L'UpgradeAuto de 2.3.15 vers 2.4.1 ne fonctionne pas car il n'arrive pas a installer eole-amonecole-module.

Si on remonte la rivère des dépendances on tombe sur un problème d'installation de eole-exim-pkg

Pour reproduire, Lancer un AmonEcole 2.3.15 (l'imag etb3.amonecole-2.3.15-instance-default par exemple)

Lancer la commande UpgradeAuto

Attendre 20 minutes :)

Associated revisions

Revision ef424b47 (diff)
Added by Daniel Dehennin almost 7 years ago

Upgrade-Auto: prendre garde aux dépôts Envole 4

Les dépôts Envole ne sont pas à utiliser avant la 2.4.2.

  • eole/Upgrade-Auto: Exclure les version 2.4.0 et 2.4.1 si des
    applications Envole sont installées dans le conteneur web.
    (UpdateSources): Ajout d’un test sur la version cible pour les dépôts
    Envole 4.

Ref: #15055

Revision cbc7d3ce (diff)
Added by Daniel Dehennin almost 7 years ago

Upgrade-Auto: informer des restrictions Envole

  • eole/Upgrade-Auto: Informer l’utilisateur si les versions cibles sont
    restreintes pour la compatibilité Envole.

Ref: #15055

Revision 15ea985b (diff)
Added by Daniel Dehennin almost 7 years ago

Upgrade-Auto: cacher la sortie d’erreur de dpkg

  • eole/Upgrade-Auto: La recherche d’application Envole affiche le
    message de la commande « dpkg -l » sur les modules sans Envole.

Ref: #15055

History

#1 Updated by Daniel Dehennin almost 7 years ago

  • Assigned To set to Daniel Dehennin
  • Estimated time set to 3.00 h
  • Remaining (hours) set to 3.0

#2 Updated by Daniel Dehennin almost 7 years ago

  • % Done changed from 0 to 100
  • Remaining (hours) changed from 3.0 to 0.5

#3 Updated by Scrum Master almost 7 years ago

  • Status changed from Nouveau to En cours

#4 Updated by Scrum Master almost 7 years ago

  • Status changed from En cours to Résolu

#5 Updated by Scrum Master almost 7 years ago

  • Status changed from Résolu to En cours

#6 Updated by Daniel Dehennin almost 7 years ago

  • Status changed from En cours to Résolu

#7 Updated by Philippe Caseiro almost 7 years ago

  • Status changed from Résolu to En cours

Sur un module "Amon" quand on lance Upgrade-Auto il affiche :

Aucun paquet ne correspond à  *-apps.

Ce n'est pas un gros problème mais c'est pas très parlant pour l'utilisateur

#8 Updated by Daniel Dehennin almost 7 years ago

  • Status changed from En cours to Résolu

Philippe Caseiro a écrit :

Sur un module "Amon" quand on lance Upgrade-Auto il affiche :

Aucun paquet ne correspond à *-apps.

Ce n'est pas un gros problème mais c'est pas très parlant pour l'utilisateur

Corrigé.

#9 Updated by Philippe Caseiro almost 7 years ago

  • Remaining (hours) changed from 0.5 to 0.0

#10 Updated by Scrum Master almost 7 years ago

  • Status changed from Résolu to Fermé

Also available in: Atom PDF